
Figure - 开发 Dev #110639
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110638 (解决 Resolved): 【MK】【008】【BOOT】主任务

【MK】【008】【BOOT】【TC-RID: 1201-0100801】启动相关设置
2022-07-25 11:01 - CD TPM-申艳艳

Status: 完成 Closed Start date: 2022-07-25

Priority: Normal Due date: 2022-08-01

Assignee: CD BSP-唐金泽 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc L7

1.使用QFIL工具能进行刷机

2.dut设备能进入launcher

3.内存和flash显示容量与SPEC一致

1.adb shell命令可用

2.dumpsys meminfo或者root用户下执行procrank

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-07-25 12:07 - CD TPM-申艳艳

- Parent task set to #110638

#2 - 2022-07-25 12:14 - CD TPM-申艳艳

- Description updated

#3 - 2022-08-02 13:16 - SZ TPM-罗云进

- Due date set to 2022-08-01

- Status changed from New to 解决 Resolved

- % Done changed from 0 to 100

#4 - 2022-08-02 14:23 - SZ TPM-罗云进

- Assignee changed from SZ TPM-罗云进 to SZ 系统-张丽果

#5 - 2022-08-04 21:24 - CD TPM-申艳艳

- Subject changed from 【MK】【008】【BOOT】【TC-RID: 0301-0100801】启动相关设置 to 【MK】【008】【BOOT】【TC-RID: 1201-0100801】启动相关

设置

#6 - 2022-09-20 18:40 - CD BSP-杜磊

- Status changed from 解决 Resolved to 进行中 In Progress

#7 - 2022-09-21 11:39 - CD BSP-杜磊

- Status changed from 进行中 In Progress to 解决 Resolved

#8 - 2022-09-22 19:41 - SZ TPM-罗云进
- Status changed from 解决 Resolved to 完成 Closed

#9 - 2022-11-16 13:34 - CD BSP-唐金泽

- Assignee changed from SZ 系统-张丽果 to CD BSP-唐金泽

合入，去除PMIC 8150B芯片的代码；

https://dev.thundercomm.com/gerrit/c/general/boot_images/+/163170

Visional_RC PMIC: Compatible with PMIC-RM1

1.No PMIC does not affect bootup;

2.Using pmic-id to identify different device trees;

3.PM8250-gpio10 use for USB check, instead of KEY-VUP;

Test Result: 1.The PMIC board is boot normally and USB normal;

             2.Remove the PMIC boardis boot normally and USB normal;

#10 - 2022-12-06 20:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167747 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:XBL: Exchange Power Key debounce time 1200->500msexchange Power Key debounce time 1200->500msTC-RID: 1201-0100801IssueID:

TS-R-DF-110639Change-Id: If66dcbf84deff4a9d01df299fd540f1a867e17c7

#11 - 2022-12-06 20:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167639 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

Revert System: bug fix boot failureThis reverts commit f5d167027ca618da26e364c689db465d494b765e.Reason for revert: Fix with suitable method to Optimize

boot timeTC-RID: 1201-0100801IssueID: TS-R-DF-110639Change-Id: I6fb087daea1fa9687d6651fa07bc6a51930b566f

#12 - 2022-12-07 15:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168242 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm-dvt1

tangjz1204@thundersoft.com
#fn1


Revert System: bug fix boot failureThis reverts commit f5d167027ca618da26e364c689db465d494b765e.Reason for revert: Fix with suitable method to Optimize

boot timeTC-RID: 1201-0100801IssueID: TS-R-DF-110639Change-Id: I6fb087daea1fa9687d6651fa07bc6a51930b566f(cherry picked from commit

0214e2ed975ac00b8115f39582ce343209999795)

#13 - 2022-12-07 15:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168243 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm-dvt1

tangjz1204@thundersoft.com

BSP:XBL: Exchange Power Key debounce time 1200->500msexchange Power Key debounce time 1200->500msTC-RID: 1201-0100801IssueID:

TS-R-DF-110639Change-Id: If66dcbf84deff4a9d01df299fd540f1a867e17c7(cherry picked from commit 202d501be0ba74fab4891a63ac378ded65eb0a52)

#14 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

163170 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

Visional_RC PMIC: Compatible with PMIC-RM11.No PMIC does not affect bootup;2.Using pmic-id to identify different device trees;3.PM8250-gpio10 use for

USB check, instead of KEY-VUP;Test Result: 1.The PMIC board is boot normally and USB normal;             2.Remove the PMIC boardis boot normally and USB

normal;TC-RID: 1201-0100801IssueID: TS-R-DF-110639Change-Id: Iae6aac377c16b0d45787797d5683cc48a77c1d06(cherry picked from commit

909221424f1f098bb9948e7b76899e25365f9679)

#15 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

163500 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

2025-07-04 3/4



System: bug fix boot failure1. Remove kpdpwr s3 set;2. set CBL pull down;Test Result:reboot normally.TC-RID: 1201-0100801IssueID:

TS-R-DF-110639Change-Id: I5641d1316e2b82919bc33ce40e4ba1039eab1e3f
